Bullet Collision Detection & Physics Library: btBvhTree Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
btBvhTree Class Reference

Basic Box tree structure. More...

`#include <btGImpactBvh.h>`

Collaboration diagram for btBvhTree:
[legend]

## Public Member Functions
| btBvhTree ()
void | build_tree (GIM_BVH_DATA_ARRAY &primitive_boxes)
| prototype functions for box tree management
void | clearNodes ()
int | getNodeCount () const
| node count
bool | isLeafNode (int nodeindex) const
| tells if the node is a leaf
int | getNodeData (int nodeindex) const
void | getNodeBound (int nodeindex, btAABB &bound) const
void | setNodeBound (int nodeindex, const btAABB &bound)
int | getLeftNode (int nodeindex) const
int | getRightNode (int nodeindex) const
int | getEscapeNodeIndex (int nodeindex) const
const GIM_BVH_TREE_NODE * | get_node_pointer (int index=0) const

## Protected Member Functions
int | _sort_and_calc_splitting_index (GIM_BVH_DATA_ARRAY &primitive_boxes, int startIndex, int endIndex, int splitAxis)
int | _calc_splitting_axis (GIM_BVH_DATA_ARRAY &primitive_boxes, int startIndex, int endIndex)
void | _build_sub_tree (GIM_BVH_DATA_ARRAY &primitive_boxes, int startIndex, int endIndex)

## Protected Attributes
int | m_num_nodes
GIM_BVH_TREE_NODE_ARRAY | m_node_array

## Detailed Description

Basic Box tree structure.

Definition at line 61 of file btGImpactBvh.h.

## Constructor & Destructor Documentation

## ◆ btBvhTree()

btBvhTree::btBvhTree | ( |  | ) |
| inline

Definition at line 77 of file btGImpactBvh.h.

## Member Function Documentation

## ◆ _build_sub_tree()

void btBvhTree::_build_sub_tree | ( | GIM_BVH_DATA_ARRAY & | primitive_boxes,
|  | int | startIndex,
|  | int | endIndex )
| protected

Definition at line 153 of file btGImpactBvh.cpp.

## ◆ _calc_splitting_axis()

int btBvhTree::_calc_splitting_axis | ( | GIM_BVH_DATA_ARRAY & | primitive_boxes,
|  | int | startIndex,
|  | int | endIndex )
| protected

Definition at line 65 of file btGImpactBvh.cpp.

## ◆ _sort_and_calc_splitting_index()

int btBvhTree::_sort_and_calc_splitting_index | ( | GIM_BVH_DATA_ARRAY & | primitive_boxes,
|  | int | startIndex,
|  | int | endIndex,
|  | int | splitAxis )
| protected

Definition at line 95 of file btGImpactBvh.cpp.

## ◆ build_tree()

void btBvhTree::build_tree | ( | GIM_BVH_DATA_ARRAY & | primitive_boxes | ) |

prototype functions for box tree management

stackless build tree

Definition at line 200 of file btGImpactBvh.cpp.

## ◆ clearNodes()

void btBvhTree::clearNodes | ( |  | ) |
| inline

Definition at line 86 of file btGImpactBvh.h.

## ◆ get_node_pointer()

const GIM_BVH_TREE_NODE * btBvhTree::get_node_pointer | ( | int | index = 0 | ) | const
| inline

Definition at line 135 of file btGImpactBvh.h.

## ◆ getEscapeNodeIndex()

int btBvhTree::getEscapeNodeIndex | ( | int | nodeindex | ) | const
| inline

Definition at line 130 of file btGImpactBvh.h.

## ◆ getLeftNode()

int btBvhTree::getLeftNode | ( | int | nodeindex | ) | const
| inline

Definition at line 119 of file btGImpactBvh.h.

## ◆ getNodeBound()

void btBvhTree::getNodeBound | ( | int | nodeindex,
|  | btAABB & | bound ) const
| inline

Definition at line 109 of file btGImpactBvh.h.

## ◆ getNodeCount()

int btBvhTree::getNodeCount | ( |  | ) | const
| inline

node count

Definition at line 93 of file btGImpactBvh.h.

## ◆ getNodeData()

int btBvhTree::getNodeData | ( | int | nodeindex | ) | const
| inline

Definition at line 104 of file btGImpactBvh.h.

## ◆ getRightNode()

int btBvhTree::getRightNode | ( | int | nodeindex | ) | const
| inline

Definition at line 124 of file btGImpactBvh.h.

## ◆ isLeafNode()

bool btBvhTree::isLeafNode | ( | int | nodeindex | ) | const
| inline

tells if the node is a leaf

Definition at line 99 of file btGImpactBvh.h.

## ◆ setNodeBound()

void btBvhTree::setNodeBound | ( | int | nodeindex,
|  | const btAABB & | bound )
| inline

Definition at line 114 of file btGImpactBvh.h.

## Member Data Documentation

## ◆ m_node_array

GIM_BVH_TREE_NODE_ARRAY btBvhTree::m_node_array
| protected

Definition at line 65 of file btGImpactBvh.h.

## ◆ m_num_nodes

int btBvhTree::m_num_nodes
| protected

Definition at line 64 of file btGImpactBvh.h.

The documentation for this class was generated from the following files:

- btGImpactBvh.h
- btGImpactBvh.cpp